Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000340 [Piwigo] other major always 2006.04.18 20:10 2006.04.20 04:44
Reporter chrisaga View Status public  
Assigned To rvelices
Priority normal Resolution fixed Platform Club-Internet
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.6 branch Product Version 1.6 branch
  Target Version Product Build
Summary 0000340: Fonction ini_set() non supportée chez Club-Internet
Description La fonction est désactivée "Pour des raisons de sécurité"
Des messages d'erreur apparaissent en haut de la page (Cf. Info complémentaires ci-dessous).

On ne peut pas se connecter
On ne peut pas naviguer

Y-a-t-il moyen de contourner ?

Steps To Reproduce Installer une 1.6 chez Club-internet et browser

J'ai une galerie de test : http://chrisaga.club.fr/photo/ [^]
Additional Information Warning: ini_set() est inactive pour des raisons de sécurité. Pour plus d'informations, veuillez consulter : http://www.club-internet.fr/pagespersos/clubphp/ [^] in /photo/include/functions_session.inc.php on line 68

Warning: ini_set() est inactive pour des raisons de sécurité. Pour plus d'informations, veuillez consulter : http://www.club-internet.fr/pagespersos/clubphp/ [^] in /photo/include/functions_session.inc.php on line 69

Warning: ini_set() est inactive pour des raisons de sécurité. Pour plus d'informations, veuillez consulter : http://www.club-internet.fr/pagespersos/clubphp/ [^] in /photo/include/functions_session.inc.php on line 70

Warning: ini_set() est inactive pour des raisons de sécurité. Pour plus d'informations, veuillez consulter : http://www.club-internet.fr/pagespersos/clubphp/ [^] in /photo/include/functions_session.inc.php on line 71

Warning: ini_set() est inactive pour des raisons de sécurité. Pour plus d'informations, veuillez consulter : http://www.club-internet.fr/pagespersos/clubphp/ [^] in /photo/include/functions_session.inc.php on line 72
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships
related to 0000345closedrvelices Cannnot browse categories 

-  Notes
(0000773)
nikrou (developer)
2006.04.18 20:22

Quelle est la version de php ? Version 4 ou 5 ?
(0000776)
chrisaga (developer)
2006.04.18 21:41

PHP Version 5.0.4
http://monsite.club.fr/info.php [^]
(0000782)
plg (manager)
2006.04.19 08:57

(sans vouloir faire de mauvais esprit nikrou, voilà le genre de raisons pour lesquelles j'étais très content du système de session "maison", mais pour le moment pas question de revenir là-dessus, c'est juste histoire de dire)
(0000785)
rvelices (developer)
2006.04.19 16:54

pour le session_name et cookie_path on peut utiliser d'autres fonctions php
pour le reste il suffit de rajouter @ devant ini_set
(0000788)
nikrou (developer)
2006.04.19 20:32

> pour le session_name et cookie_path on peut utiliser d'autres fonctions php

je suis d'accord.

> pour le reste il suffit de rajouter @ devant ini_set

ça me parait une très mauvaise idée. J'aurais plutôt tendance à dire qu'il faut plutôt utiliser un autre handler de session; à savoir file. Cela va régler le problème de club-internet!
(0000790)
rvelices (developer)
2006.04.19 20:38

> ça me parait une très mauvaise idée. J'aurais plutôt tendance à dire qu'il faut plutôt utiliser un autre handler de session; à savoir file. Cela va régler le problème de club-internet!

Utiliser files marchera toujours.

Je ne vaois pas pourqoui c'est une mauvaise idee car le fait qu'on ne puisse pas setter use_cookies, use_only_cookies et use_trans_sid ne change rien. Si on utilise files ils auront les meme valeurs et cote securite ca sera exactement pareil.
(0000791)
nikrou (developer)
2006.04.19 20:40
edited on: 2006.04.19 20:42

Je vais formuler différemment: ça ne me parait pas très propre d'utiliser l'arobase. Il est nettement préférable de tester l'existence de la fonction. En revanche je ne sais pas si la fonction function_exists() renvoie bien false lorsque la fonction a été désactivée.

Après vérification il s'averre que la function_exists() renvoie true si la fonction existe mais a été désactivée. Du coup l'arobase est la seule solution

(0000796)
rvelices (developer)
2006.04.20 04:44

Corrige avec function_exists dans [Subversion] r1216 (1.6) et [Subversion] r1217 (trunk)

- Issue History
Date Modified Username Field Change
2006.04.18 20:10 chrisaga New Issue
2006.04.18 20:10 chrisaga browser => any
2006.04.18 20:10 chrisaga Web server => Apache 1.3.x
2006.04.18 20:22 nikrou Note Added: 0000773
2006.04.18 21:41 chrisaga Note Added: 0000776
2006.04.19 08:57 plg Note Added: 0000782
2006.04.19 16:54 rvelices Note Added: 0000785
2006.04.19 16:54 rvelices Assigned To => rvelices
2006.04.19 16:54 rvelices Status new => assigned
2006.04.19 16:54 rvelices Additional Information Updated
2006.04.19 20:32 nikrou Note Added: 0000788
2006.04.19 20:38 rvelices Note Added: 0000790
2006.04.19 20:40 nikrou Note Added: 0000791
2006.04.19 20:42 nikrou Note Edited: 0000791
2006.04.20 04:44 rvelices Note Added: 0000796
2006.04.20 04:44 rvelices Status assigned => closed
2006.04.20 04:44 rvelices Resolution open => fixed
2006.04.20 04:44 rvelices Fixed in Version => 1.6 branch
2006.04.20 19:45 chrisaga Relationship added related to 0000344
2006.04.20 19:57 chrisaga Relationship added related to 0000345
2006.04.21 03:56 rvelices Relationship deleted related to 0000344


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker